Get agent vital signs
const url = 'https://api.ultimateteam.ai/api/v1/agents/example/vitals';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/agents/example/vitals \ --header 'X-API-Key: <X-API-Key>'Return performance vital signs for the specified agent role.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The agent role identifier
The agent role identifier
Responses
Section titled “ Responses ”Successful Response
Wrapper response for GET /agents/{role}/vitals.
Attributes: data: The vitals payload.
object
Agent vital signs for GET /agents/{role}/vitals.
Attributes: agent_role: The agent role identifier. tasks_completed: Total completed tasks in the latest period. tasks_failed: Total failed tasks in the latest period. avg_execution_time_seconds: Average task execution time. acceptance_rate: Fraction of recommendations accepted by the user. outcome_accuracy: Fraction of predicted outcomes that matched reality. tokens_used: Total tokens consumed in the latest period. cost_usd: Total cost in USD for the latest period. period_start: ISO timestamp of the period start. period_end: ISO timestamp of the period end.
object
Example
{ "data": { "cost_usd": 0, "tasks_completed": 0, "tasks_failed": 0, "tokens_used": 0 }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}